FROM gitea.pena/penadevops/container-images/act_runner:main as runner

FROM gitea.pena/penadevops/container-images/node:main as node
RUN apk add  --no-cache git bash tini
COPY --from=runner /usr/local/bin/act_runner /usr/local/bin/act_runner
COPY --from=runner  /opt/act/run.sh  /opt/act/run.sh
COPY ./podman-remote-static-linux_amd64 /usr/local/bin/podman
COPY ./registries.conf /etc/containers/registries.conf
ENTRYPOINT ["/sbin/tini","--","/opt/act/run.sh"]
